curl --request GET \
--url https://api.bridge.xyz/v0/transfers \
--header 'Api-Key: <api-key>'import requests
url = "https://api.bridge.xyz/v0/transfers"
headers = {"Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Key': '<api-key>'}};
fetch('https://api.bridge.xyz/v0/transfers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.bridge.xyz/v0/transfers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.bridge.xyz/v0/transfers"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.bridge.xyz/v0/transfers")
.header("Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.bridge.xyz/v0/transfers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"count": 2,
"data": [
{
"id": "00000000-0000-0000-0000-000000000004",
"client_reference_id": "client_transfer_id_456",
"state": "funds_received",
"on_behalf_of": "00000000-0000-0000-0000-000000000001",
"amount": "500.25",
"developer_fee": "0.0",
"source": {
"payment_rail": "ach",
"currency": "usd",
"external_account_id": "00000000-0000-0000-0000-000000000002"
},
"destination": {
"payment_rail": "ethereum",
"currency": "usdc",
"to_address": "0x71C7656EC7ab88b098defB751B7401B5f6d8976F"
},
"receipt": {
"initial_amount": "500.25",
"developer_fee": "0.0",
"exchange_fee": "0.0",
"subtotal_amount": "500.25",
"gas_fee": "0.0",
"final_amount": "500.25",
"destination_tx_hash": "0xdeadbeef",
"url": "https://dashboard.bridge.xyz/transaction/00000000-0000-0000-0000-000000000000/receipt/00000000-0000-0000-0000-000000000000"
},
"created_at": "2020-01-02T00:00:00.000Z",
"updated_at": "2020-01-03T00:00:00.000Z"
},
{
"id": "00000000-0000-0000-0000-000000000003",
"client_reference_id": "client_transfer_id_123",
"state": "awaiting_funds",
"on_behalf_of": "00000000-0000-0000-0000-000000000001",
"amount": "75.0",
"developer_fee": "0.0",
"source": {
"payment_rail": "ethereum",
"currency": "usdc",
"from_address": "0x71C7656EC7ab88b098defB751B7401B5f6d8976F"
},
"destination": {
"payment_rail": "ach",
"currency": "usd",
"external_account_id": "00000000-0000-0000-0000-000000000002"
},
"source_deposit_instructions": {
"payment_rail": "ethereum",
"amount": "75.0",
"currency": "usdc",
"from_address": "0x71C7656EC7ab88b098defB751B7401B5f6d8976F",
"to_address": "0xb794f5ea0ba39494ce839613fffba74279579268"
},
"receipt": {
"initial_amount": "75.0",
"developer_fee": "0.0",
"exchange_fee": "0.0",
"subtotal_amount": "75.0",
"gas_fee": "0.0",
"final_amount": "75.0",
"url": "https://dashboard.bridge.xyz/transaction/00000000-0000-0000-0000-000000000000/receipt/00000000-0000-0000-0000-000000000000"
},
"created_at": "2020-01-01T00:00:00.000Z",
"updated_at": "2020-01-02T00:00:00.000Z"
}
]
}Get all transfers
curl --request GET \
--url https://api.bridge.xyz/v0/transfers \
--header 'Api-Key: <api-key>'import requests
url = "https://api.bridge.xyz/v0/transfers"
headers = {"Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Key': '<api-key>'}};
fetch('https://api.bridge.xyz/v0/transfers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.bridge.xyz/v0/transfers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.bridge.xyz/v0/transfers"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.bridge.xyz/v0/transfers")
.header("Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.bridge.xyz/v0/transfers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"count": 2,
"data": [
{
"id": "00000000-0000-0000-0000-000000000004",
"client_reference_id": "client_transfer_id_456",
"state": "funds_received",
"on_behalf_of": "00000000-0000-0000-0000-000000000001",
"amount": "500.25",
"developer_fee": "0.0",
"source": {
"payment_rail": "ach",
"currency": "usd",
"external_account_id": "00000000-0000-0000-0000-000000000002"
},
"destination": {
"payment_rail": "ethereum",
"currency": "usdc",
"to_address": "0x71C7656EC7ab88b098defB751B7401B5f6d8976F"
},
"receipt": {
"initial_amount": "500.25",
"developer_fee": "0.0",
"exchange_fee": "0.0",
"subtotal_amount": "500.25",
"gas_fee": "0.0",
"final_amount": "500.25",
"destination_tx_hash": "0xdeadbeef",
"url": "https://dashboard.bridge.xyz/transaction/00000000-0000-0000-0000-000000000000/receipt/00000000-0000-0000-0000-000000000000"
},
"created_at": "2020-01-02T00:00:00.000Z",
"updated_at": "2020-01-03T00:00:00.000Z"
},
{
"id": "00000000-0000-0000-0000-000000000003",
"client_reference_id": "client_transfer_id_123",
"state": "awaiting_funds",
"on_behalf_of": "00000000-0000-0000-0000-000000000001",
"amount": "75.0",
"developer_fee": "0.0",
"source": {
"payment_rail": "ethereum",
"currency": "usdc",
"from_address": "0x71C7656EC7ab88b098defB751B7401B5f6d8976F"
},
"destination": {
"payment_rail": "ach",
"currency": "usd",
"external_account_id": "00000000-0000-0000-0000-000000000002"
},
"source_deposit_instructions": {
"payment_rail": "ethereum",
"amount": "75.0",
"currency": "usdc",
"from_address": "0x71C7656EC7ab88b098defB751B7401B5f6d8976F",
"to_address": "0xb794f5ea0ba39494ce839613fffba74279579268"
},
"receipt": {
"initial_amount": "75.0",
"developer_fee": "0.0",
"exchange_fee": "0.0",
"subtotal_amount": "75.0",
"gas_fee": "0.0",
"final_amount": "75.0",
"url": "https://dashboard.bridge.xyz/transaction/00000000-0000-0000-0000-000000000000/receipt/00000000-0000-0000-0000-000000000000"
},
"created_at": "2020-01-01T00:00:00.000Z",
"updated_at": "2020-01-02T00:00:00.000Z"
}
]
}Query Parameters
This is a transfer id. If this is specified, the next page that starts with a transfer right AFTER the specified transfer id on the transfer timeline, which is always ordered from the newest to the oldest by creation time, will be returned. This also implies that transfers older than the specified transfer id will be returned (shouldn't be set if ending_before is set)
This is a transfer id. If this is specified, the previous page that ends with a transfer right BEFORE the specified transfer id on the transfer timeline, which is always ordered from the newest to the oldest by creation time, will be returned. This also implies that transfers newer than the specified transfer id will be returned (shouldn't be set if starting_after is set)
Filter transfers by their external state. See Transfer States for more details.
awaiting_funds, funds_received, payment_submitted, payment_processed, in_review, kyc_required, kyc_in_review, developer_kyb_required, canceled, error, returned, refund_in_flight, refund_failed, refunded, undeliverable Was this page helpful?